org.apache.maven.plugins.shade.mojo

## Class ShadeMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.maven.plugins.shade.mojo.ShadeMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo, org.codehaus.plexus.personality.plexus.lifecycle.phase.Contextualizable

    public class ShadeMojo
    extends org.apache.maven.plugin.AbstractMojo
    implements org.codehaus.plexus.personality.plexus.lifecycle.phase.Contextualizable

Mojo that performs shading delegating to the Shader component.

Author:
  Jason van Zyl, Mauro Talevi, David Blevins, Hiram Chirino

### Field Summary

Fields
`protected org.apache.maven.artifact.factory.ArtifactFactory` `artifactFactory` Artifact factory, needed to download source jars for inclusion in classpath.
`protected org.apache.maven.artifact.resolver.ArtifactResolver` `artifactResolver` Artifact resolver, needed to download source jars for inclusion in classpath.
`protected org.apache.maven.artifact.repository.ArtifactRepository` `localRepository` Local maven repository.
`protected List` `remoteArtifactRepositories` Remote repositories which will be searched for source attachments.

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`ShadeMojo()`

### Method Summary

Methods
`void` `contextualize(org.codehaus.plexus.context.Context context)`
`void` `execute()`
`boolean` `updateExcludesInDeps(org.apache.maven.project.MavenProject project, List<org.apache.maven.model.Dependency> dependencies, List<org.apache.maven.model.Dependency> transitiveDeps)`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### remoteArtifactRepositories

    protected List remoteArtifactRepositories

Remote repositories which will be searched for source attachments.

#### localRepository

    protected org.apache.maven.artifact.repository.ArtifactRepository localRepository

Local maven repository.

#### artifactFactory

    protected org.apache.maven.artifact.factory.ArtifactFactory artifactFactory

Artifact factory, needed to download source jars for inclusion in classpath.

#### artifactResolver

    protected org.apache.maven.artifact.resolver.ArtifactResolver artifactResolver

Artifact resolver, needed to download source jars for inclusion in classpath.

### Constructor Detail

#### ShadeMojo

    public ShadeMojo()

### Method Detail

#### contextualize

    public void contextualize(org.codehaus.plexus.context.Context context)
                       throws org.codehaus.plexus.context.ContextException

Specified by:
  `contextualize` in interface `org.codehaus.plexus.personality.plexus.lifecycle.phase.Contextualizable`
Throws:
  `org.codehaus.plexus.context.ContextException`

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException

Specified by:
  `execute` in interface `org.apache.maven.plugin.Mojo`
Throws:
  `org.apache.maven.plugin.MojoExecutionException`

#### updateExcludesInDeps

    public boolean updateExcludesInDeps(org.apache.maven.project.MavenProject project,
                               List<org.apache.maven.model.Dependency> dependencies,
                               List<org.apache.maven.model.Dependency> transitiveDeps)
                                 throws org.apache.maven.shared.dependency.tree.DependencyTreeBuilderException

Throws:
  `org.apache.maven.shared.dependency.tree.DependencyTreeBuilderException`